# Update a Dataflow **PUT /dataflows/{dataflowId}** Update a Dataflow. ## Servers - https://dataflownode.zerionsoftware.com/zcrypt/v1.0: https://dataflownode.zerionsoftware.com/zcrypt/v1.0 () ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **dataflowId** (string) id of the Dataflow ### Body: application/json (object) - **name** (string) name of the Dataflow - **description** (string) description of the Dataflow - **status** (number) 1 is for active, 0 is for inactive. By default, status is set to 1. In case of defective dataflow, it should be set to 0 - **autocleaniFormData** (boolean) true/false - **errorNotificationEmail** (string) The email or email addresses to send error notifications to. Multiple emails must be separated by a comma. - **enableErrorEmailNotifications** (string) Indicates if the error email notifications will be enabled. - **_id** (string) the updated Dataflow Id ## Responses ### 200 Successful response #### Body: application/json (object) - **_id** (string) the updated Dataflow Id [Powered by Bump.sh](https://bump.sh)